Name:		xfce4-places-plugin
Version:	1.2.0
Release:	6%{?dist}
Summary:	Places menu for the Xfce panel

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/1.2/%{name}-%{version}.tar.bz2
Patch0:		xfce4-places-plugin-1.2.0-exo1.patch
Patch1:		xfce4-places-plugin-1.2.0-dsofix.patch
Patch2:		xfce4-places-plugin-1.2.0-libxfce4ui.patch
Patch3:		xfce4-places-plugin-1.2.0-gio.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.3.99.1 libxfcegui4-devel >= 4.3.99.1
BuildRequires:	Thunar-devel >= 0.4.0 exo-devel
BuildRequires:	libxml2-devel gettext intltool
BuildRequires:  autoconf libtool libnotify-devel xfce4-dev-tools
Requires:	xfce4-panel >= 4.4.1 Thunar >= 0.9.0

%description
A menu with quick access to folders, documents, and removable media. The 
Places plugin brings much of the functionality of GNOME’s Places menu to 
Xfce. It puts a simple button on the panel. Clicking on this button opens up 
a menu with 4 sections:
1) System-defined directories (home folder, trash, desktop, file system)
2) Removable media (using thunar-vfs)
3) User-defined bookmarks (reads ~/.gtk-bookmarks)
4) Recent documents submenu (requires GTK v2.10 or greater) 

%prep
%setup -q
%patch0 -p1 -b .exo1
%patch1 -p1 -b .dsofix
%patch2 -p1 -b .libxfce4ui
%patch3 -p1 -b .gio

%build
xdt-autogen
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/xfce4-popup-places
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop


%changelog
* Sat Apr 30 2011 Kevin Fenzi <kevin@scrye.com> - 1.2.0-6
- Add patch to port to GIO and libxfce4ui and exo1
- Fixes bug #678655 and bug #700123

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 13 2011 Kevin Fenzi <kevin@tummy.com> - 1.2.0-4
- Add patch from Debian for new exo version. 

* Sat Nov 06 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.2.0-3
- Fix missing icons (#650504)

* Tue Feb 16 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.2.0-2
- Add patch to fix DSO linking (#564693)

* Fri Jul 31 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.2.0-1
- Update to 1.2.0
- Drop Andea Santilli's xdg-userdir-compat.patch because it got upstreamed

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 18 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.0-4
- Rebuild for Xfce 4.6 (Beta 3)

* Sun Aug 31 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.0-3
- Update xdg-userdir-compat.patch to use upstream's variable names

* Wed Aug 27 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.0-2
- Respect xdg user directory paths (#457740)

* Thu Jun 12 2008 Christoph Wickert <cwickert@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0
- Fix changelog

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.0-3
- Autorebuild for GCC 4.3

* Fri Dec 07 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-2
- Rebuild for Xfce 4.4.2 and Thunar 0.9.0

* Wed Nov 07 2007 Christoph Wickert <cwickert@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.992-1
- Update to 0.9.992

* Sat Aug 25 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.9.991-1
- Update to 0.9.991
- Update license tag

* Thu May 17 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0

* Sun Apr 29 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0

* Sun Apr 08 2007 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.0-1
- Initial package.
